package com.solution.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.solution.common.annotation.Excel;
import com.solution.common.core.domain.BaseEntity;

/**
 * 节点参数对象 nodeparameter
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
public class Nodeparameter extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 节点参数ID (主键) */
    private Long id;

    /** 关联到哪个节点实例 (外键: TreeInstanceNode.id) */
    @Excel(name = "关联到哪个节点实例 (外键: TreeInstanceNode.id)")
    private Long nodeInstanceId;

    /** 关联到哪个参数定义 (外键: TemplateParameterDef.id) */
    @Excel(name = "关联到哪个参数定义 (外键: TemplateParameterDef.id)")
    private Long paramDefId;

    /** 节点实例设置的具体参数值 (覆盖模板默认值) */
    @Excel(name = "节点实例设置的具体参数值 (覆盖模板默认值)")
    private String value;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setNodeInstanceId(Long nodeInstanceId) 
    {
        this.nodeInstanceId = nodeInstanceId;
    }

    public Long getNodeInstanceId() 
    {
        return nodeInstanceId;
    }

    public void setParamDefId(Long paramDefId) 
    {
        this.paramDefId = paramDefId;
    }

    public Long getParamDefId() 
    {
        return paramDefId;
    }

    public void setValue(String value) 
    {
        this.value = value;
    }

    public String getValue() 
    {
        return value;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("nodeInstanceId", getNodeInstanceId())
            .append("paramDefId", getParamDefId())
            .append("value", getValue())
            .toString();
    }
}
